Returns a usage overview (per-metric consumption, period state) for the entitlement.
GET
/api/v1/provision/admin/entitlements/{entitlementId}/usage-overview
const url = 'https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/usage-overview';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/usage-overviewParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” entitlementId
required
string format: uuid
Entitlement id.
Responses
Section titled “ Responses ”OK
object
planSource
string
planSetId
null | string format: uuid
planSetName
null | string
planName
null | string
bundleGrants
Array<object>
object
id
string format: uuid
bundleId
string format: uuid
bundleCode
string
bundleName
string
usagePlanSetId
string format: uuid
usagePlanSetName
string
startsAt
string format: date-time
expiresAt
null | string format: date-time
isRevoked
boolean
revokedAt
null | string format: date-time
reference
null | string
isActive
boolean
object
planSource
string
planSetId
null | string format: uuid
planSetName
null | string
planName
null | string
bundleGrants
Array<object>
object
id
string format: uuid
bundleId
string format: uuid
bundleCode
string
bundleName
string
usagePlanSetId
string format: uuid
usagePlanSetName
string
startsAt
string format: date-time
expiresAt
null | string format: date-time
isRevoked
boolean
revokedAt
null | string format: date-time
reference
null | string
isActive
boolean
Example generated
{ "planSource": "example", "planSetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "planSetName": "example", "planName": "example", "bundleGrants": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "bundleId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "bundleCode": "example", "bundleName": "example", "usagePlanSetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "usagePlanSetName": "example", "startsAt": "2026-04-15T12:00:00Z", "expiresAt": "2026-04-15T12:00:00Z", "isRevoked": true, "revokedAt": "2026-04-15T12:00:00Z", "reference": "example", "isActive": true } ], "features": [ { "featureCode": "example", "planValue": "example", "bundleComputedValue": "example", "bundleComputedOperation": "example", "effectiveValue": "example", "bundleValueUsed": true, "appliedBundleIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "valueSource": "example" } ]}object
planSource
string
planSetId
null | string format: uuid
planSetName
null | string
planName
null | string
bundleGrants
Array<object>
object
id
string format: uuid
bundleId
string format: uuid
bundleCode
string
bundleName
string
usagePlanSetId
string format: uuid
usagePlanSetName
string
startsAt
string format: date-time
expiresAt
null | string format: date-time
isRevoked
boolean
revokedAt
null | string format: date-time
reference
null | string
isActive
boolean
Example generated
{ "planSource": "example", "planSetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "planSetName": "example", "planName": "example", "bundleGrants": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "bundleId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "bundleCode": "example", "bundleName": "example", "usagePlanSetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "usagePlanSetName": "example", "startsAt": "2026-04-15T12:00:00Z", "expiresAt": "2026-04-15T12:00:00Z", "isRevoked": true, "revokedAt": "2026-04-15T12:00:00Z", "reference": "example", "isActive": true } ], "features": [ { "featureCode": "example", "planValue": "example", "bundleComputedValue": "example", "bundleComputedOperation": "example", "effectiveValue": "example", "bundleValueUsed": true, "appliedBundleIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "valueSource": "example" } ]}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}